Distribution:	CCux
Packager:	Christian Wasem <wasem@cux-linux.de>

Name:		libpanelappletmm
Version:	2.22.0
Release:	1
Summary:	C++ interface for Gnome panel applets
Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://gtkmm.sourceforge.net/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libpanelappletmm/2.6/libpanelappletmm-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gconfmm-devel >= 2.6.0
BuildRequires:	libgnomemm-devel >= 2.6.0
BuildRequires:	gnome-panel-devel >= 2.14.0
BuildRequires:	doxygen
BuildRequires:	graphviz

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
libpanelappletmm is part of the gnomemm project and provides a C++
interface for developing Gnome panel applets.

%package	devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gconfmm-devel
Requires:	libgnomemm-devel
Requires:	gnome-panel-devel

%description	devel
This package contains the static libraries and header files needed for
developing C++ gnome panel applets using libpanelappletmm.

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig

%prep
%setup -q

%build
%configure \
--sysconfdir=%_sysconfdir/gnome \
--localstatedir=/var/lib \
--libexecdir=$(pkg-config --variable=prefix ORBit-2.0)/lib/gdm

# Take care of unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

# Build documentation
make -C docs/reference

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%_libdir/*.so.*

%files devel
%defattr(-,root,root,-)
%doc ChangeLog docs/reference/html
%_includedir/libpanelappletmm-2.6
%_libdir/*.la
%_libdir/*.so
%_libdir/libpanelappletmm-2.6
%_pkgconfig

%changelog
* Fri Jul 25 2008 Christian Wasem <wasem@ccux-linux.de> 2.22.0-1
- Initial release